<?php
/*
Plugin Name: Bookmark Me
Plugin URI: http://www.satollo.com/english/wordpress/bookmark-me
Description: Bookmark Me is another plugin to add bookmarks links to your post or page.
Version: 1.1.1
Author: Satollo
Author URI: http://www.satollo.com
Disclaimer: Use at your own risk. No warranty expressed or implied is provided.
*/

/*	Copyright 2008  Satollo  (email : satollo@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

define('BOOKMARK_ME', true);

$bkmrk_options = get_option('bkmrk');

add_action('admin_head', 'bkmrk_admin_head');
function bkmrk_admin_head()
{
    add_options_page('Bookmark Me', 'Bookmark Me', 'manage_options', 'bookmark-me/options.php');
}

add_action('the_content', 'bkmrk_the_content');
function bkmrk_the_content($content)
{
    global $bkmrk_options;
    if ($bkmrk_options['post_layout']) return $content;

    $buffer = '<p class="bookmark-me">' . $bkmrk_options['label'] . bookmark_me() . '</p>';
    
    if (is_page()) {
        if ($bkmrk_options['page_before']) $content = $buffer . $content;
        if ($bkmrk_options['page_after']) $content .= $buffer ;
    }
    else if (is_single()) {
        if ($bkmrk_options['post_before']) $content = $buffer . $content;
        if ($bkmrk_options['post_after']) $content .= $buffer ;
    }
    else {
        if ($bkmrk_options['home_before']) $content = $buffer . $content;
        if ($bkmrk_options['home_after']) $content .= $buffer ;
    }
    return $content;
}

function bookmark_me()
{
    global $bkmrk_options;

    $title_encoded = urlencode(get_the_title());
    $link_encoded = urlencode(get_permalink());
    $target = '';
    $img_attrs = ' style="margin:0;border:0;padding:0"';
    if ($bkmrk_options['target']) $target .= ' target="_blank"' ;
    
    $image_url = get_option('home') . '/wp-content/plugins/bookmark-me/images/';
    $buffer = '';
    
    // International/English
    if ($bkmrk_options['technorati']) $buffer .= '<a href="http://www.technorati.com/faves?add=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'technorati.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['delicious']) $buffer .= '<a href="http://del.icio.us/post?url=' . $link_encoded  . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'delicious.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['stumbleupon']) $buffer .= '<a href="http://www.stumbleupon.com/submit?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'stumbleupon.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['digg']) $buffer .= '<a href="http://digg.com/submit?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'digg.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['facebook']) $buffer .= '<a href="http://www.facebook.com/share.php?u=' . $link_encoded . '&amp;t=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'facebook.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['yahoo']) $buffer .= '<a href="http://bookmarks.yahoo.com/toolbar/savebm?opener=tb&u=' . $link_encoded  . '"' . $target . '><img src="' . $image_url . 'yahoo.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['google']) $buffer .= '<a href="http://www.google.com/bookmarks/mark?op=edit&amp;output=popup&amp;bkmk=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'google.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['fark']) $buffer .= '<a href="http://cgi.fark.com/cgi/fark/edit.pl?new_url=' . $link_encoded . '&amp;new_comment=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'fark.png"' . $img_attrs . '/></a> ';

    // Italian
    if ($bkmrk_options['it_oknotizie']) $buffer .= '<a href="http://oknotizie.alice.it/post?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'it_oknotizie.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_segnalo']) $buffer .= '<a href="http://segnalo.com/post.html.php?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'it_segnalo.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_diggita']) $buffer .= '<a href="http://www.diggita.it/submit.php?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'it_diggita.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_upnews']) $buffer .= '<a href="http://www.upnews.it/submit?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'it_upnews.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_bookmark']) $buffer .= '<a href="http://www.bookmark.it/bookmark.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'it_bookmark.png"' . $img_attrs . '/></a> ';  

    // Francais
    if ($bkmrk_options['fr_metatarse']) $buffer .= '<a href="http://www.metatarse.com/submit.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'fr_metatarse.png"' . $img_attrs . '/></a> ';  
    
    // Espoanol
    if ($bkmrk_options['es_meneame']) $buffer .= '<a href="http://meneame.net/submit.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'es_meneame.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['es_fresqui']) $buffer .= '<a href="http://tec.fresqui.com/post?title=' . $title_encoded . '&amp;url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'es_fresqui.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['es_blogmemes']) $buffer .= '<a href="http://www.blogmemes.com/post.php?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'es_blogmemes.png"' . $img_attrs . '/></a> ';  
        
    return $buffer;
}

?>
